from datetime import datetime
from pathlib import Path
from typing import Optional

from pydantic.dataclasses import dataclass

from base_installer.configuration.installer_configuration import InstallerConfiguration


@dataclass
class CollectConfiguration(InstallerConfiguration):
    output_collect_dir: Path = Path('/tmp/collect')
    work_dir: Optional[Path] = None
    no_prometheus: bool = False
    siem_logs_range_start: Optional[datetime] = None
    siem_logs_range_end: Optional[datetime] = None
    no_siem_logs: bool = False
