from abc import ABC
from datetime import timedelta
from pathlib import Path
from typing import Optional

import pkg_resources

from base_installer.tasks.base_task import BaseTask
from collect.configuration.collect_configuration import CollectConfiguration


class CollectTask(BaseTask, ABC):
    PACKAGE = 'collect'
    FAIL_ON_ERROR = False
    MAX_DURATION: Optional[timedelta] = timedelta(minutes=15)

    def __init__(self, configuration: CollectConfiguration):
        self._configuration = configuration

    @property
    def _pkg_configs_path(self) -> Path:
        return Path(pkg_resources.resource_filename('collect', 'scripts'))
