from pathlib import Path

from base_installer.constants.configuration import (
    ATOP_LOG_DIR,
    AUTH_LOG_FILES_MASK,
    DMESG_LOG_FILES_MASK,
    DOCKERD_LOG_FILES_MASK,
    KASPERSKY_LOG_DIR,
    KERN_LOG_FILES_MASK,
    SYSLOG_FILES_MASK,
)
from collect.tasks.copy_task import CopyItem, CopyTask


class CopyLogsTask(CopyTask):
    TITLE = 'Copy logs (product, system, atop, installation, docker)'

    COPY_TASKS = [
        CopyItem(
            from_=KASPERSKY_LOG_DIR,
            to=Path('logs/kaspersky/'),
        ),
        CopyItem(
            from_=ATOP_LOG_DIR,
            to=Path('logs/atop/'),
        ),
        CopyItem(
            from_=DOCKERD_LOG_FILES_MASK,
            to=Path('logs/docker/'),
        ),
        CopyItem(
            from_=SYSLOG_FILES_MASK,
            to=Path('logs/syslog/'),
        ),
        CopyItem(
            from_=AUTH_LOG_FILES_MASK,
            to=Path('logs/auth/'),
        ),
        CopyItem(
            from_=DMESG_LOG_FILES_MASK,
            to=Path('logs/dmesg/')
        ),
        CopyItem(
            from_=KERN_LOG_FILES_MASK,
            to=Path('logs/kern/')
        ),
    ]
