from pathlib import Path

from base_installer.tasks.helpers.subprocess_runner import SubprocessRunner
from collect.tasks.collect_task import CollectTask


class DumpDnsTask(CollectTask):
    TITLE = 'Dump DNS records'

    DNS_DUMP_FILE = Path('dumps/DNS/dns_dump')

    def _run(self):
        self._dump_dns()

    def _dump_dns(self):
        dns_dump = SubprocessRunner.run('dig SRV dyn.kata')
        dst = self._configuration.work_dir / self.DNS_DUMP_FILE
        dst.parent.mkdir(parents=True, exist_ok=True)
        dst.write_text(dns_dump)
