from pathlib import Path

from base_installer.tasks.helpers.subprocess_runner import SubprocessRunner
from collect.tasks.collect_task import CollectTask


class DumpEtcdTask(CollectTask):
    TITLE = 'Get ETCD dump'

    ETCD_NAME = 'etcd'
    ETCD_DUMP_FILE = Path('dumps/etcd/etcd_dump')

    def _run(self):
        self._dump_etcd()

    def _dump_etcd(self):
        etcd_dump = SubprocessRunner.run('console-settings-updater all')
        dst = self._configuration.work_dir / self.ETCD_DUMP_FILE
        dst.parent.mkdir(parents=True, exist_ok=True)
        dst.write_text(etcd_dump)
