from pathlib import Path

from base_installer.tasks.helpers.subprocess_runner import SubprocessRunner
from collect.tasks.collect_task import CollectTask


class GetNetworkConfigurationLogs(CollectTask):
    TITLE = 'Get network logs'

    NETWORK_DIAGNOSTIC_DIR = Path('diagnostic/network/')
    NETWORK_LOGS_FILE = 'systemd_networkd.log'

    def _run(self):
        dst_dir = self._configuration.work_dir / self.NETWORK_DIAGNOSTIC_DIR
        dst_dir.mkdir(parents=True, exist_ok=True)

        self._save_network_logs(dst_dir / self.NETWORK_LOGS_FILE)

    @staticmethod
    def _save_network_logs(dst_file: Path):
        output = SubprocessRunner.run('journalctl -u systemd-networkd')
        with open(dst_file, 'w') as file:
            file.write(output)
